Page MenuHomePhabricator

flow_post.partial.handlebars appears after posting a message
Closed, ResolvedPublic

Description

After posting a message with flow an error message appears instead of the writen message:
flow_post.partial.handlebars

If there are multiple messages this appears multiple times (flow_post.partial.handlebars flow_post.partial.handlebars flow_post.partial.handlebars).

After reloading the page the correct message appears.

This is my LocalSettings:
require_once "$IP/extensions/Flow/Flow.php";
$wgFlowEditorList = array( 'visualeditor', 'none' );
$wgFlowOccupyNamespaces = array( NS_USER_TALK, NS_TALK );
$wgFlowParsoidURL = 'http://localhost:8142';
$wgFlowParsoidPrefix = 'almanach';

Event Timeline

Scharesoft raised the priority of this task from to High.
Scharesoft updated the task description. (Show Details)
Scharesoft added a project: Notifications.
Scharesoft added a subscriber: Scharesoft.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 24 2015, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm set Security to None.

Any recommendations? Also see this issue on my resources http://prntscr.com/azv7gr

Pastakhov added a subscriber: Pastakhov.EditedMay 4 2016, 8:07 AM

 The problem is damaged file content in downloaded version.
In downloaded version file Flow/handlebars/flow_post.handlebars contains line:

Link: flow_post.partial.handlebars

instead of original template content...

link to repo

The reason likely is the file Flow/handlebars/flow_post.handlebars is symlink to file flow_post.partial.handlebars and ExtensionDistributor can't process it correctly.

I added a workaround to the Extension:Flow page.

Please note symbolic links do not work on windows. Which means kinda of flow doesn't support windows. But I was getting that error even when downloading straight off master branch with my patch applied. So it happends straight of master branch not downloading from extensondistributor I download from gerrit.

After posting my post first I get

flow_post.partial.handlebars

which is what is shown inside that file handlebars/flow_post.handlebars

then if I refresh it shows the comment I left.

Change 288526 had a related patch set uploaded (by Paladox):
Use flow_post.partial.handlebars file instead of flow_post.handlebars

https://gerrit.wikimedia.org/r/288526

Change 288526 abandoned by Mattflaschen:
Use flow_post.partial.handlebars file instead of flow_post.handlebars

Reason:
Does not work at all, once Handlebars is recompiled.

https://gerrit.wikimedia.org/r/288526

Change 288526 restored by Paladox:
Use flow_post.partial.handlebars file instead of flow_post.handlebars

https://gerrit.wikimedia.org/r/288526

Change 288526 abandoned by Mattflaschen:
Use flow_post.partial.handlebars file instead of flow_post.handlebars

Reason:
This approach will not work, but Paladox suggested a workaround we can use.

https://gerrit.wikimedia.org/r/288526

Something @Paladox said gave me the idea to use a partial for this, as a poor man's symbolic link.

Change 288874 had a related patch set uploaded (by Mattflaschen):
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/288874

Change 288874 merged by jenkins-bot:
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/288874

Checked the fix in betalabs as part of general regression testing.

jmatazzoni closed this task as Resolved.Jun 3 2016, 8:33 PM

Change 295468 had a related patch set uploaded (by Paladox):
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/295468

Change 295469 had a related patch set uploaded (by Paladox):
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/295469

Change 295469 merged by jenkins-bot:
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/295469

Change 295468 merged by jenkins-bot:
Replace symbolic link with partial

https://gerrit.wikimedia.org/r/295468